#include "hiscores.h"

vector<score> hiscore::haeTulokset() {
    char buf[2];
    buf[1] = 0;

    vector<score> palautus;

    fi.open("hiscore.dat", ios::in);

    while (fi.peek() != EOF) {
        score piste;
        piste.nimi.clear();

        do {
            fi.read(buf, 1);
            piste.nimi += buf;
        } while (buf[0] != 0);

        fi.read((char *)&(piste.pisteet), sizeof(int));

        palautus.push_back(piste);
    }

    fi.close();

    return palautus;
}

void hiscore::tallennaTulokset(vector<score> tulokset) {
    vector<score>::iterator iter;
    fo.open("hiscore.dat");

    iter = tulokset.begin();

    int i = 0;
    while (iter != tulokset.end() and i != 9) {
        fo.write( ( (*iter).nimi).c_str(), ( (*iter).nimi).length() + 1 );
        fo.write( (char *)&( (*iter).pisteet ), sizeof(int));

        i++;
        iter++;
    }

    fo.close();
}
