#ifndef _ALKUDEMO_H
#define _ALKUDEMO_H

#include <string>

#include <iostream>

#include <SDL.h>
#include <SDL_image.h>
#include <SDL_ttf.h>

using namespace std;


class Alkudemo {
	private:
        enum textquality {solid, shaded, blended};
        int pappi_x;
        int pappi_y;

        SDL_Surface *pappio;
        SDL_Surface *pappiv;


        int henkilo_x;
        int henkilo_y;

        SDL_Surface *henkilo;

        SDL_Surface *buf;
        SDL_Surface *tausta;
        bool pois;

        char teksti_buf[200];
        string tekstit[14];
        SDL_Surface *teksti;
        SDL_Event tapahtuma;
        TTF_Font *teksti_fontti;

        TTF_Font *LoadFont(char *filename, int ptsize);
        void blitText(TTF_Font *fontti, SDL_Surface **destSurf, SDL_Color fgColor, SDL_Color bgColor, char teksti[], textquality quality);
        void PiirraKuva(SDL_Surface *kuva, SDL_Surface *naytto, int x, int y);
	public:
        void lataa();
        int aloita(SDL_Surface *naytto);
};

#endif
