#ifndef _LOPPUDEMO_H
#define _LOPPUDEMO_H

#include <iostream>
#include <vector>
#include <sstream>
#include <string>
#include <algorithm>

#include <SDL.h>
#include <SDL_ttf.h>
#include <SDL_image.h>

#include "aika.h"
#include "hiscores.h"

using namespace std;

class loppudemo {
	private:
        enum textquality {solid, shaded, blended};
        SDL_Surface *ukko_s[7];

        SDL_Surface *henkilo;
        SDL_Surface *henkilo2;

        SDL_Surface *tausta;

        TTF_Font *teksti_fontti;
        TTF_Font *aika_fontti;
        char teksti_buf[200];
        string tekstit[7];
        SDL_Surface *teksti;

        SDL_Surface *buf;
        SDL_Event tapahtuma;

        bool pois;

        TTF_Font *LoadFont(char *filename, int ptsize);
        void blitText(TTF_Font *fontti, SDL_Surface **destSurf, SDL_Color fgColor, SDL_Color bgColor, char teksti[], textquality quality);
        void PiirraKuva(SDL_Surface *kuva, SDL_Surface *naytto, int x, int y);
	public:
        void lataa();
        int aloita(SDL_Surface *naytto, vector<minsec> ajat);
};

#endif
