#ifndef _UKKO_H
#define _UKKO_H

#include <SDL.h>
#include "kartta.h"

#include "../fmod/fmod.h"

class Ukko {
	private:
        int x, y; //Kartalla sijaitsevat X ja Y pisteet
        int k, l; //korkeus ja levys

        float nopeusy, nopeusx; //Kuinka nopiaa tulee alaspäin

        bool maassa;

        bool katsoO; //Kuvaa varten, tiedetään kumminpäin ukko on, Katsotaanko oikealle

        int hattuja;
        SDL_Surface *hahmo;
        SDL_Surface *hahmov;

        SDL_Surface *hahmohyppy;
        SDL_Surface *hahmohyppyv;

        Uint8* nappi; //Näppäinten lukemista varten

        bool tormays_pysty(int x, int y,int &tilekoordx, Kartta kartta);
        bool tormays_vaaka(int x, int y, int &tilekoordx, Kartta kartta);

        FMOD_SOUND *hyppy;
        FMOD_CHANNEL *kannu;

	public:
        void ajattele(Kartta kartta, FMOD_SYSTEM *system, bool aanet);
        void piirra(SDL_Surface *naytto, Kartta kentta);
        void asetaPaikka(int x, int y);
        void lataa(FMOD_SYSTEM *system);

        int haeX();
        int haeY();
};

#endif
