#include "asetusvalikko.h"

void asetus_valikko::piirraValinta(SDL_Surface *kuva, SDL_Surface *naytto, int x, int y) {
  SDL_Rect alue; // mille alueellä näyttöä kuva piirretään
  alue.x = x; // koordinaatit
  alue.y = y;
  SDL_BlitSurface(kuva, NULL, naytto, &alue); // piirto
}

void asetus_valikko::piirraPinta(SDL_Surface *naytto) {
    valinta_iter = valinta.begin();

    int i = 0;

    while (valinta_iter != valinta.end()) {
        if (valittu == i) {
            piirraValinta((*valinta_iter).nappi_alhaalla, naytto, (*valinta_iter).x, (*valinta_iter).y);

            if (i < 3) {
                if ((*valinta_iter).tosi) {
                    piirraValinta(tosiv, naytto, (*valinta_iter).x + (*valinta_iter).l + (*valinta_iter).hienosx, (*valinta_iter).y + (*valinta_iter).hienosy);
                } else {
                    piirraValinta(epatosiv, naytto, (*valinta_iter).x + (*valinta_iter).l + (*valinta_iter).hienosx, (*valinta_iter).y + (*valinta_iter).hienosy);
                }
            }
        } else {
            //piirraValinta((*valinta_iter).nappi, naytto, (*valinta_iter).x, (*valinta_iter).y);

            if (i < 3) {
                if ((*valinta_iter).tosi) {
                    piirraValinta(tosi, naytto, (*valinta_iter).x + (*valinta_iter).l + (*valinta_iter).hienosx, (*valinta_iter).y + (*valinta_iter).hienosy);
                } else {
                    piirraValinta(epatosi, naytto, (*valinta_iter).x + (*valinta_iter).l + (*valinta_iter).hienosx, (*valinta_iter).y + (*valinta_iter).hienosy);
                }
            }
        }

        i++;
        valinta_iter++;
    }
}

void asetus_valikko::asetaTosiJaEpatosi(SDL_Surface *t, SDL_Surface *et, SDL_Surface *tv, SDL_Surface *etv) {
    tosi = t;
    epatosi = et;
    tosiv = tv;
    epatosiv = etv;
}

void asetus_valikko::lisaaValinta(SDL_Surface *nappi, SDL_Surface *nappi_alhaalla, int x, int y, int l, int k, bool tosiko, int hsx, int hsy) {
    asetus_valikko_kohta uusi;

    uusi.nappi = nappi;
    uusi.nappi_alhaalla = nappi_alhaalla;
    uusi.x = x;
    uusi.y = y;
    uusi.l = l;
    uusi.k = k;
    uusi.tosi = tosiko;
    uusi.hienosx = hsx;
    uusi.hienosy = hsy;

    valinta.push_back(uusi);
}

void asetus_valikko::poistaValinta(int mones) {
    valinta.pop_back();
}

int asetus_valikko::haeValinta() {
    return valittu;
}

void asetus_valikko::asetaValinta(int v) {
    valittu = v;

    if (valittu < 0 )
        valittu = 0;

    if (valittu > valinta.size()-1)
        valittu = valinta.size()-1;
}

void asetus_valikko::asetaLisaaValinta(int plus) {
    asetaValinta(haeValinta()+plus);
}

asetus_valikko::asetus_valikko() {
    cout << "Valikko alustettu" << endl;
    valittu = 0;
}

void asetus_valikko::vaihdaTosi(int mones) {
    valinta_iter = valinta.begin();

    int i = 0;
    while (valinta_iter != valinta.end()) {
        if (mones == i) {
            if ((*valinta_iter).tosi == true) {
                (*valinta_iter).tosi = false;
            } else {
                (*valinta_iter).tosi = true;
            }
        }
        i++;
        valinta_iter++;
    }
}

bool asetus_valikko::haeArvo(int mones) {
    valinta_iter = valinta.begin();

    int i = 0;
    while (valinta_iter != valinta.end()) {
        if (i == mones)
            return (*valinta_iter).tosi;
        i++;
        valinta_iter++;
    }
}
