#include "valikko.h"
#include "../common/common.h"
#include <iostream>

using namespace std;

void valikko::piirraValinta(SDL_Surface *kuva, SDL_Surface *naytto, int x, int y) {
  SDL_Rect alue; // mille alueellä näyttöä kuva piirretään
  alue.x = x; // koordinaatit
  alue.y = y;
  SDL_BlitSurface(kuva, NULL, naytto, &alue); // piirto
}

void valikko::piirraPinta(SDL_Surface *naytto) {
    valinta_iter = valinta.begin();

    int i = 0;

    while (valinta_iter != valinta.end()) {
        if (valittu == i)
            piirraValinta((*valinta_iter).nappi_alhaalla, naytto, (*valinta_iter).x, (*valinta_iter).y);
        /*else
            piirraValinta((*valinta_iter).nappi, naytto, (*valinta_iter).x, (*valinta_iter).y);*/

        i++;
        valinta_iter++;
    }
}

void valikko::lisaaValinta(SDL_Surface *nappi, SDL_Surface *nappi_alhaalla, int x, int y, int l, int k) {
    valikko_kohta uusi;

    uusi.nappi = nappi;
    uusi.nappi_alhaalla = nappi_alhaalla;
    uusi.x = x;
    uusi.y = y;
    uusi.l = l;
    uusi.k = k;

    valinta.push_back(uusi);
}

void valikko::poistaValinta(int mones) {
    valinta.pop_back();
}

int valikko::haeValinta() {
    return valittu;
}

void valikko::asetaValinta(int v) {
    valittu = v;

    if (valittu < 0 )
        valittu = 0;

    if (valittu > valinta.size()-1)
        valittu = valinta.size()-1;
}

void valikko::asetaLisaaValinta(int plus) {
    asetaValinta(haeValinta()+plus);
}

valikko::valikko() {
    cout << "Valikko alustettu" << endl;
    valittu = 0;
}
